Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# TAP::Parser::Scheduler

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# TAP::Parser::Scheduler

- NAME
- VERSION
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Class Methods

# NAME

TAP::Parser::Scheduler - Schedule tests during parallel testing

# VERSION

Version 3.23

# SYNOPSIS

        use TAP::Parser::Scheduler;

# DESCRIPTION

# METHODS

## Class Methods

### `new`

        my $sched = TAP::Parser::Scheduler->new;

Returns a new `TAP::Parser::Scheduler` object.

### `get_all`

Get a list of all remaining tests.

### `get_job`

Return the next available job or `undef` if none are available. Returns a `TAP::Parser::Scheduler::Spinner` if the scheduler still has pending jobs but none are available to run right now.

### `as_string`

Return a human readable representation of the scheduling tree.

Page index

- NAME
- VERSION
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Class Methods